#!/bin/sh
set -e

# Read instance and token from Docker secrets
INSTANCE=$(cat /run/secrets/act_runner_instance)
TOKEN=$(cat /run/secrets/act_runner_token)

# Check if .runner file exists
if [ ! -f .runner ]; then
    echo "No .runner file exists. Running registration..."
    forgejo-runner register --instance "${INSTANCE}" --token "${TOKEN}" --no-interactive
else
    echo ".runner file exists. Skipping registration."
fi

# Run forgejo-runner daemon
exec forgejo-runner daemon
